commit:     28cd02c8211b467e6048934e27716988c376b873
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 16 20:39:36 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Jul 16 21:25:11 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28cd02c8

sys-libs/gwenhywfar: add 5.12.1

Closes: https://bugs.gentoo.org/959823
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-libs/gwenhywfar/Manifest                 |  1 +
 sys-libs/gwenhywfar/gwenhywfar-5.12.1.ebuild | 67 ++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/sys-libs/gwenhywfar/Manifest b/sys-libs/gwenhywfar/Manifest
index 9e424826a04e..de0ef27fd391 100644
--- a/sys-libs/gwenhywfar/Manifest
+++ b/sys-libs/gwenhywfar/Manifest
@@ -1 +1,2 @@
 DIST gwenhywfar-5.12.0.tar.gz 2721790 BLAKE2B 
99c875ff9de6908ebba92cda1fdca62a6c12d3c3994328b207e36003a0ce478abd6777a4a0a73669c9b85a28591429f14ca73a32695f7ee8d226a4aca69f9922
 SHA512 
0075eb626f0022ecd4ffdd59de7f0817d2def685e1d2cfbca9a32faa4b8d4d213bea631f24c5385da0b8c7743fd6d1887a46f08afa371195d911409ec7655791
+DIST gwenhywfar-5.12.1.tar.gz 2734237 BLAKE2B 
e31df2122c6acda76e5698b6abbb13b98189ae6f25de3bc5ba12d676f60581bbc44897af179fa340532e7540cc9f350e7a5010a355a1ae253bae35ea707f58ea
 SHA512 
0c2523e1b7d4744663d1a7bdc5e516fb1c757881402189c2315d844bc1fa86b1d3bdc72add3c6fa4ee24a46c7dabc12691b785b8dc63877963c840f2da494e57

diff --git a/sys-libs/gwenhywfar/gwenhywfar-5.12.1.ebuild 
b/sys-libs/gwenhywfar/gwenhywfar-5.12.1.ebuild
new file mode 100644
index 000000000000..416ae46436eb
--- /dev/null
+++ b/sys-libs/gwenhywfar/gwenhywfar-5.12.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qmake-utils
+
+DESCRIPTION="Multi-platform helper library for other libraries"
+HOMEPAGE="https://www.aquamaniac.de/sites/aqbanking/index.php";
+SRC_URI="https://www.aquamaniac.de/rdm/attachments/download/533/${P}.tar.gz";
+
+LICENSE="LGPL-2.1"
+SLOT="0/79" # correspond with libgwenhywfar.so version
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="debug gtk qt6 test" # doc (is broken, bug #950614
+
+# broken upstream, reported but got no reply
+RESTRICT="test"
+
+DEPEND="
+       dev-libs/libgcrypt:0=
+       dev-libs/libgpg-error
+       dev-libs/libxml2:2=
+       dev-libs/openssl:0=
+       net-libs/gnutls:=
+       virtual/libiconv
+       virtual/libintl
+       virtual/opengl
+       gtk? ( x11-libs/gtk+:3 )
+       qt6? ( 
dev-qt/qtbase:6[concurrent,dbus,gui,network,opengl,sql,widgets,xml] )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+# doc? ( app-text/doxygen )
+
+src_configure() {
+       local myeconfargs=(
+               --with-docpath="${EPREFIX}/usr/share/doc/${PF}/apidoc"
+               --with-libxml2-code=yes
+               $(use_enable debug)
+               #$(use_enable doc full-doc)
+       )
+#      use qt6 && myeconfargs+=(
+#              --with-qt6-moc="$(qt6_get_libdir)/qt6/libexec/moc"
+#              --with-qt6-qmake="$(qt6_get_bindir)/qmake"
+#      )
+
+       local guis=()
+       use gtk && guis+=( gtk3 )
+       use qt6 && guis+=( qt5 ) # yes. qt5.
+       QTPATHS="$(qt6_get_bindir)/qtpaths" \
+               econf "${myeconfargs[@]}" "--with-guis=${guis[*]}"
+}
+
+src_compile() {
+       emake
+       #use doc && emake srcdoc
+}
+
+src_install() {
+       default
+       #use doc && emake DESTDIR="${D}" install-srcdoc
+       find "${D}" -name '*.la' -type f -delete || die
+}

Reply via email to